// CXmlFormItem_Static.h
//

#if !defined(_CXMLFORMITEM_STATIC_H_)
#define _CXMLFORMITEM_STATIC_H_

#include "stdafx.h"
#include "XmlBaseFormItem.h"
#include "enums.h"
#include <string>

using namespace std;

class CXmlFormItem_Static: public CXmlBaseFormItem
{
public:
	CXmlFormItem_Static();
	virtual ~CXmlFormItem_Static();

// implementation of XmlSerializable
//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);

public:
	virtual void SetCaption(const cmString& caption);
	virtual cmString GetCaption();

	virtual enFormItemType GetItemType();
	
	virtual cmString GetXmlNodeName(){return _T("FormItemStatic");}

protected:
	
	virtual void Clear();
	virtual void SetDefaults();

	cmString caption_;
};

#endif //!defined(_CXMLFORMITEM_STATIC_H_)